<header class="header df">
  <div class="header__container">
    <div class="header__inner df">

      <div class="header__adp-search adp-search">
        <div class="adp-search__container">
          <div class="adp-search__inner df">
            <form class="adp-search__body search df" action="" focus>
              <input class="search__input" type="text" placeholder="Search">
            </form>
            <button class="adp-search__close-btn icon-close btn" type="button">
            </button>
          </div>
        </div>
      </div>

      <a class="header__logo logo df" href="./index.html">

        <svg class="logo" xmlns="http://www.w3.org/2000/svg" width="152" height="38" fill="none">
          <path class="logo__icon" fill="var(--main)"
            d="M0 8a8 8 0 0 1 8-8h22a8 8 0 0 1 8 8v22a8 8 0 0 1-8 8H8a8 8 0 0 1-8-8V8Z" />
          <path class="logo__icon" fill="var(--bg)"
            d="M22.6 29.3c-1 0-2-.2-3-.7a5.4 5.4 0 0 1-2.7-4.9v-8l-.2-.7-.6-.5c-.2-.2-.5-.2-.7-.2-.3 0-.6 0-.8.2l-.5.5c-.2.2-.2.5-.2.8V29H9.6V16c0-1 .3-2 .7-2.8.5-.8 1.2-1.5 2-2a6 6 0 0 1 3-.7 6 6 0 0 1 3 .7c.9.5 1.6 1.2 2 2 .6.8.8 1.8.8 2.9v8a1.5 1.5 0 0 0 .8 1.3l.7.1.7-.1.6-.6c.2-.2.2-.5.2-.8V10.8h4.3v13a5.6 5.6 0 0 1-2.8 4.8 6 6 0 0 1-3 .7Z" />
          <path class="logo__text" fill="var(--main)"
            d="M66.1 10.5V28H63l-7.6-11v11h-3.8V10.5h3.3l7.5 11h.1v-11h3.7ZM75 28.3c-1.3 0-2.5-.3-3.4-.9-1-.6-1.7-1.3-2.2-2.4-.6-1-.8-2.2-.8-3.5 0-1.3.2-2.5.8-3.5.5-1 1.2-1.8 2.2-2.4 1-.6 2-.9 3.4-.9 1.3 0 2.5.3 3.4.9 1 .6 1.7 1.3 2.3 2.4.5 1 .8 2.2.8 3.5 0 1.3-.3 2.5-.8 3.5-.6 1-1.3 1.8-2.3 2.4-1 .6-2 .9-3.4.9Zm0-2.9c.6 0 1.1-.1 1.5-.5.4-.3.7-.8 1-1.4.2-.6.3-1.3.3-2 0-.8-.1-1.5-.4-2-.2-.7-.5-1.1-.9-1.5-.4-.3-.9-.5-1.5-.5s-1 .2-1.5.5c-.4.4-.7.8-1 1.4l-.2 2c0 .8 0 1.5.3 2.1.2.6.5 1 .9 1.4.4.4 1 .5 1.5.5ZM86 28l-3.5-13h3.7l2 8.7h.1l2.1-8.8H94l2.2 8.8h.1l2-8.8h3.7L98.4 28h-3.8l-2.3-8.2h-.1L89.9 28h-3.8ZM107.6 28.2c-.8 0-1.5-.1-2.2-.4-.7-.3-1.2-.7-1.5-1.3a4 4 0 0 1-.6-2.2c0-.7.1-1.3.4-1.8.3-.5.6-.9 1-1.2l1.6-.7a47 47 0 0 0 4.7-.9c.3 0 .4-.3.4-.6 0-.6-.2-1-.5-1.3-.4-.3-.8-.4-1.5-.4-.6 0-1.1.1-1.5.4a2 2 0 0 0-.8 1.1l-3.4-.3a4.6 4.6 0 0 1 3-3.4 8.4 8.4 0 0 1 4.8-.2c.7.2 1.3.4 1.8.8a3.9 3.9 0 0 1 1.7 3.4V28h-3.4v-1.8h-.1a3.7 3.7 0 0 1-2.2 1.8c-.4.2-1 .2-1.7.2Zm1-2.5c.6 0 1 0 1.5-.3l1-.8c.2-.4.3-.8.3-1.3V22a2 2 0 0 1-.5.2 8.6 8.6 0 0 1-1.4.3 234 234 0 0 0-1.7.4c-.4.2-.6.3-.8.6-.2.2-.2.5-.2.8 0 .5.1.9.5 1.2.4.2.8.3 1.4.3ZM117.9 28V10.5h3.6v6.6h.1l.7-1c.3-.4.7-.7 1.2-1a5 5 0 0 1 6.4 2.6c.5 1 .8 2.3.8 3.8 0 1.4-.3 2.7-.7 3.7-.5 1-1.2 1.7-2 2.2-.8.6-1.7.8-2.7.8-.7 0-1.3-.1-1.7-.3-.5-.3-1-.6-1.3-1l-.7-1h-.1V28h-3.6Zm3.5-6.5c0 .7.2 1.4.4 2 .2.6.5 1 1 1.3.3.4.8.5 1.4.5.6 0 1-.1 1.5-.5a3 3 0 0 0 1-1.3c.1-.6.3-1.3.3-2 0-.8-.2-1.5-.4-2a3 3 0 0 0-.9-1.4c-.4-.3-1-.5-1.5-.5-.6 0-1 .2-1.5.5a3 3 0 0 0-1 1.3c-.1.6-.3 1.3-.3 2ZM136.7 10.5V28h-3.6V10.5h3.6ZM145.6 28.3a7 7 0 0 1-3.5-.9c-1-.5-1.7-1.3-2.2-2.3-.5-1-.8-2.2-.8-3.6 0-1.3.3-2.5.8-3.5s1.2-1.8 2.2-2.4a6.8 6.8 0 0 1 5.8-.4 5.4 5.4 0 0 1 3.2 3.3c.3.8.5 1.8.5 2.9v1h-11V20h7.6c0-.5-.1-1-.4-1.4-.2-.4-.5-.7-1-.9-.3-.2-.8-.4-1.3-.4-.6 0-1 .2-1.5.4l-1 1-.3 1.5v2c0 .7.1 1.3.3 1.8.3.4.6.8 1 1 .5.3 1 .4 1.6.4l1.2-.1.8-.5.6-.9 3.3.3c-.2.8-.5 1.5-1 2-.6.7-1.2 1.1-2 1.5-.9.3-1.8.5-3 .5Z" />
        </svg>

      </a>

      <button class="header__search-btn header-search-btn icon-search">
      </button>

      <form class="header__search search df" action="">
        <input class="search__input" type="text" placeholder="Search">
        <div class="search__icon icon-search"></div>
      </form>

      <nav class="header__menu header-menu">
        <ul class="header-menu__list df">
          <li class="header-menu__item">
            <a class="header-menu__link explore-link hover--text" href="./market.html">
              Explore
            </a>
          </li>
          <li class="header-menu__item">
            <a class="header-menu__link hover--text" href="./collections.html">
              Collections
            </a>
          </li>
          <li class="header-menu__item">
            <a class="header-menu__link create-link hover--text" href="#">
              Create
            </a>
          </li>

        </ul>
      </nav>

     

      <button class="header__wallet btn btn--second" href="">
        Connect wallet
      </button>

      <div class="header__theme-switcher theme-switcher icon-light"></div>  

      <button class="header__cart" type="button">
        <svg viewBox="0 0 32 32" fill="none" width="24" height="24" xlmns="http://www.w3.org/2000/svg"
          class="sc-bdvvtL sc-iCfMLu dBlsBj">
          <rect x="6" y="9" width="20" height="17" rx="3" stroke="currentColor" stroke-width="2.5"></rect>
          <path d="M12 8C12 5.79086 13.7909 4 16 4V4C18.2091 4 20 5.79086 20 8V9H12V8Z" stroke="currentColor"
            stroke-width="2.5"></path>
        </svg>

        <div class="header__cart-value">
          4
        </div>
      </button>

      <button class="header__burger-btn" type="button">
        <svg viewBox="0 0 32 32" fill="none" width="24" height="24" xlmns="http://www.w3.org/2000/svg"
          class="sc-bdvvtL sc-iCfMLu dBlsBj">
          <path
            d="M5.05366 12.0074H26.9346C27.52 12.0074 28 11.5527 28 10.9982C28 10.4436 27.52 10 26.9346 10H5.05366C4.46829 10 4 10.4436 4 10.9982C4 11.5416 4.46829 12.0074 5.05366 12.0074ZM5.05366 16.9982H26.9346C27.52 16.9982 28 16.5434 28 16C28 15.4344 27.52 14.9797 26.9346 14.9797H5.05366C4.46829 14.9797 4 15.4344 4 16C4 16.5434 4.46829 16.9982 5.05366 16.9982ZM5.05366 22H26.9346C27.52 22 28 21.5453 28 20.9797C28 20.4251 27.52 19.9815 26.9346 19.9815H5.05366C4.46829 19.9815 4 20.4362 4 20.9797C4 21.5342 4.46829 22 5.05366 22Z"
            fill="currentColor"></path>
        </svg>
      </button>


    </div>
  </div>
</header>